#include "libgcl_go.h"

int sm3(void *data, int dataLen, void *digest){
    GoSlice in = {
        data, dataLen, dataLen
    };
    GoSlice out = {
        digest, 32, 32
    };
    Sm3(in,out);
    return 0;
}